ViewVC Help
View File | Revision Log | Show Annotations | Download File
/cvs/rxvt-unicode/configure
(Generate patch)

Comparing rxvt-unicode/configure (file contents):
Revision 1.58 by root, Sun Jan 1 06:18:20 2006 UTC vs.
Revision 1.65 by root, Wed Jan 11 00:59:58 2006 UTC

307#endif 307#endif
308#if HAVE_UNISTD_H 308#if HAVE_UNISTD_H
309# include <unistd.h> 309# include <unistd.h>
310#endif" 310#endif"
311 311
312ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS build build_cpu build_vendor build_os host host_cpu host_vendor host_os VERSION DATE LSMDATE LIBVERSION CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT CXX CXXFLAGS ac_ct_CXX CPP INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA AWK LINKER CXXCPP EGREP INSTALL_LIBRXVT RXVTNAME MV RM CP LN SED ECHO CMP TBL TIC X_CFLAGS X_PRE_LIBS X_LIBS X_EXTRA_LIBS XPM_CPPFLAGS XPM_CFLAGS XPM_LIBS rxvt_int16_typedef rxvt_uint16_typedef rxvt_int32_typedef rxvt_uint32_typedef rxvt_intp_define rxvt_u_intp_define DEBUG DINCLUDE DLIB include_stdint_h include_stdarg_h include_stdlib_h include_unistd_h include_string_h include_fcntl_h include_util_h include_assert_h include_sys_ioctl_h include_sys_select_h include_sys_strredir_h include_sys_time_h include_time_h LIBOBJS LTLIBOBJS' 312ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS build build_cpu build_vendor build_os host host_cpu host_vendor host_os VERSION DATE LSMDATE LIBVERSION CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT CXX CXXFLAGS ac_ct_CXX CPP INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA AWK LINKER CXXCPP EGREP INSTALL_LIBRXVT RXVTNAME MV RM CP LN SED ECHO CMP TBL TIC X_CFLAGS X_PRE_LIBS X_LIBS X_EXTRA_LIBS XPM_CPPFLAGS XPM_CFLAGS XPM_LIBS rxvt_int16_typedef rxvt_uint16_typedef rxvt_int32_typedef rxvt_uint32_typedef rxvt_intp_define rxvt_u_intp_define PERL PERLLIB PERLFLAGS PERLPRIVLIBEXP IF_PERL PERL_O DEBUG DINCLUDE DLIB include_stdint_h include_stdarg_h include_stdlib_h include_unistd_h include_string_h include_fcntl_h include_util_h include_assert_h include_sys_ioctl_h include_sys_select_h include_sys_strredir_h include_sys_time_h include_time_h LIBOBJS LTLIBOBJS'
313ac_subst_files='MCOMMON' 313ac_subst_files='MCOMMON'
314 314
315# Initialize some variables set by options. 315# Initialize some variables set by options.
316ac_init_help= 316ac_init_help=
317ac_init_version=false 317ac_init_version=false
881 --enable-fading enable colors fading when off focus 881 --enable-fading enable colors fading when off focus
882 --enable-menubar enable menubar 882 --enable-menubar enable menubar
883 --enable-rxvt-scroll enable rxvt style scrollbar 883 --enable-rxvt-scroll enable rxvt style scrollbar
884 --enable-next-scroll enable NeXT style scrollbar 884 --enable-next-scroll enable NeXT style scrollbar
885 --enable-xterm-scroll enable Xterm style scrollbar 885 --enable-xterm-scroll enable Xterm style scrollbar
886 --enable-perl enable embedded perl interpreter
886 --enable-plain-scroll enable plain style scrollbar 887 --enable-plain-scroll enable plain style scrollbar
887 --enable-half-shadow use half width/height shadow on rxvt scrollbar 888 --enable-half-shadow use half width/height shadow on rxvt scrollbar
888 --enable-xim XIM (X Input Method) protocol support 889 --enable-xim XIM (X Input Method) protocol support
889 --enable-ttygid enable tty setting to group named "tty" 890 --enable-ttygid enable tty setting to group named "tty"
890 --disable-backspace-key disable handling of the backspace key 891 --disable-backspace-key disable handling of the backspace key
891 --disable-delete-key disable handling of the delete key 892 --disable-delete-key disable handling of the delete key
892 --disable-resources disable all resource checking 893 --disable-resources disable all resource checking
893 --enable-xgetdefault enable resources via X instead of our small version
894 --enable-8bitctrls enable 8 bit control sequences (not recommended) 894 --enable-8bitctrls enable 8 bit control sequences (not recommended)
895 --enable-fallback(=CLASS) fall back on CLASS resources in addition to URxvt ones (default: Rxvt) 895 --enable-fallback(=CLASS) fall back on CLASS resources in addition to URxvt ones (default: Rxvt)
896 --enable-strings enable some replacement system functions 896 --enable-strings enable some replacement system functions
897 --disable-swapscreen disable swap screen support 897 --disable-swapscreen disable swap screen support
898 --enable-iso14755 enable support for extended ISO 14755 modes 898 --enable-iso14755 enable support for extended ISO 14755 modes
4097fi 4097fi
4098 4098
4099fi 4099fi
4100 4100
4101 4101
4102echo "$as_me:$LINENO: checking for sched_yield" >&5
4103echo $ECHO_N "checking for sched_yield... $ECHO_C" >&6
4104if test "${ac_cv_func_sched_yield+set}" = set; then
4105 echo $ECHO_N "(cached) $ECHO_C" >&6
4106else
4107 cat >conftest.$ac_ext <<_ACEOF
4108/* confdefs.h. */
4109_ACEOF
4110cat confdefs.h >>conftest.$ac_ext
4111cat >>conftest.$ac_ext <<_ACEOF
4112/* end confdefs.h. */
4113/* Define sched_yield to an innocuous variant, in case <limits.h> declares sched_yield.
4114 For example, HP-UX 11i <limits.h> declares gettimeofday. */
4115#define sched_yield innocuous_sched_yield
4116
4117/* System header to define __stub macros and hopefully few prototypes,
4118 which can conflict with char sched_yield (); below.
4119 Prefer <limits.h> to <assert.h> if __STDC__ is defined, since
4120 <limits.h> exists even on freestanding compilers. */
4121
4122#ifdef __STDC__
4123# include <limits.h>
4124#else
4125# include <assert.h>
4126#endif
4127
4128#undef sched_yield
4129
4130/* Override any gcc2 internal prototype to avoid an error. */
4131#ifdef __cplusplus
4132extern "C"
4133{
4134#endif
4135/* We use char because int might match the return type of a gcc2
4136 builtin and then its argument prototype would still apply. */
4137char sched_yield ();
4138/* The GNU C library defines this for functions which it implements
4139 to always fail with ENOSYS. Some functions are actually named
4140 something starting with __ and the normal name is an alias. */
4141#if defined (__stub_sched_yield) || defined (__stub___sched_yield)
4142choke me
4143#else
4144char (*f) () = sched_yield;
4145#endif
4146#ifdef __cplusplus
4147}
4148#endif
4149
4150int
4151main ()
4152{
4153return f != sched_yield;
4154 ;
4155 return 0;
4156}
4157_ACEOF
4158rm -f conftest.$ac_objext conftest$ac_exeext
4159if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
4160 (eval $ac_link) 2>conftest.er1
4161 ac_status=$?
4162 grep -v '^ *+' conftest.er1 >conftest.err
4163 rm -f conftest.er1
4164 cat conftest.err >&5
4165 echo "$as_me:$LINENO: \$? = $ac_status" >&5
4166 (exit $ac_status); } &&
4167 { ac_try='test -z "$ac_cxx_werror_flag" || test ! -s conftest.err'
4168 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
4169 (eval $ac_try) 2>&5
4170 ac_status=$?
4171 echo "$as_me:$LINENO: \$? = $ac_status" >&5
4172 (exit $ac_status); }; } &&
4173 { ac_try='test -s conftest$ac_exeext'
4174 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
4175 (eval $ac_try) 2>&5
4176 ac_status=$?
4177 echo "$as_me:$LINENO: \$? = $ac_status" >&5
4178 (exit $ac_status); }; }; then
4179 ac_cv_func_sched_yield=yes
4180else
4181 echo "$as_me: failed program was:" >&5
4182sed 's/^/| /' conftest.$ac_ext >&5
4183
4184ac_cv_func_sched_yield=no
4185fi
4186rm -f conftest.err conftest.$ac_objext \
4187 conftest$ac_exeext conftest.$ac_ext
4188fi
4189echo "$as_me:$LINENO: result: $ac_cv_func_sched_yield" >&5
4190echo "${ECHO_T}$ac_cv_func_sched_yield" >&6
4191if test $ac_cv_func_sched_yield = yes; then
4192 :
4193else
4194 echo "$as_me:$LINENO: checking for sched_yield in -lrt" >&5
4195echo $ECHO_N "checking for sched_yield in -lrt... $ECHO_C" >&6
4196if test "${ac_cv_lib_rt_sched_yield+set}" = set; then
4197 echo $ECHO_N "(cached) $ECHO_C" >&6
4198else
4199 ac_check_lib_save_LIBS=$LIBS
4200LIBS="-lrt $LIBS"
4201cat >conftest.$ac_ext <<_ACEOF
4202/* confdefs.h. */
4203_ACEOF
4204cat confdefs.h >>conftest.$ac_ext
4205cat >>conftest.$ac_ext <<_ACEOF
4206/* end confdefs.h. */
4207
4208/* Override any gcc2 internal prototype to avoid an error. */
4209#ifdef __cplusplus
4210extern "C"
4211#endif
4212/* We use char because int might match the return type of a gcc2
4213 builtin and then its argument prototype would still apply. */
4214char sched_yield ();
4215int
4216main ()
4217{
4218sched_yield ();
4219 ;
4220 return 0;
4221}
4222_ACEOF
4223rm -f conftest.$ac_objext conftest$ac_exeext
4224if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
4225 (eval $ac_link) 2>conftest.er1
4226 ac_status=$?
4227 grep -v '^ *+' conftest.er1 >conftest.err
4228 rm -f conftest.er1
4229 cat conftest.err >&5
4230 echo "$as_me:$LINENO: \$? = $ac_status" >&5
4231 (exit $ac_status); } &&
4232 { ac_try='test -z "$ac_cxx_werror_flag" || test ! -s conftest.err'
4233 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
4234 (eval $ac_try) 2>&5
4235 ac_status=$?
4236 echo "$as_me:$LINENO: \$? = $ac_status" >&5
4237 (exit $ac_status); }; } &&
4238 { ac_try='test -s conftest$ac_exeext'
4239 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
4240 (eval $ac_try) 2>&5
4241 ac_status=$?
4242 echo "$as_me:$LINENO: \$? = $ac_status" >&5
4243 (exit $ac_status); }; }; then
4244 ac_cv_lib_rt_sched_yield=yes
4245else
4246 echo "$as_me: failed program was:" >&5
4247sed 's/^/| /' conftest.$ac_ext >&5
4248
4249ac_cv_lib_rt_sched_yield=no
4250fi
4251rm -f conftest.err conftest.$ac_objext \
4252 conftest$ac_exeext conftest.$ac_ext
4253LIBS=$ac_check_lib_save_LIBS
4254fi
4255echo "$as_me:$LINENO: result: $ac_cv_lib_rt_sched_yield" >&5
4256echo "${ECHO_T}$ac_cv_lib_rt_sched_yield" >&6
4257if test $ac_cv_lib_rt_sched_yield = yes; then
4258 LIBS="$LIBS -lrt"
4259fi
4260
4261fi
4262
4263
4102echo "$as_me:$LINENO: checking for sched_yield support" >&5 4264echo "$as_me:$LINENO: checking for sched_yield support" >&5
4103echo $ECHO_N "checking for sched_yield support... $ECHO_C" >&6 4265echo $ECHO_N "checking for sched_yield support... $ECHO_C" >&6
4104cat >conftest.$ac_ext <<_ACEOF 4266cat >conftest.$ac_ext <<_ACEOF
4105/* confdefs.h. */ 4267/* confdefs.h. */
4106_ACEOF 4268_ACEOF
4157 4319
4158MALLOC_TYPE=S 4320MALLOC_TYPE=S
4159 4321
4160support_addstrings=no 4322support_addstrings=no
4161support_frills=yes 4323support_frills=yes
4162support_inheritpixmap=no 4324support_inheritpixmap=yes
4163support_tinting=yes 4325support_tinting=yes
4164support_fading=yes 4326support_fading=yes
4165support_keepscrolling=yes 4327support_keepscrolling=yes
4166support_selectionscrolling=yes 4328support_selectionscrolling=yes
4167support_menubar=no 4329support_menubar=no
4175support_scroll_rxvt=yes 4337support_scroll_rxvt=yes
4176support_scroll_next=yes 4338support_scroll_next=yes
4177support_scroll_xterm=yes 4339support_scroll_xterm=yes
4178support_scroll_plain=yes 4340support_scroll_plain=yes
4179support_xim=yes 4341support_xim=yes
4180support_xpm=no 4342support_xpm=yes
4181support_xft=yes 4343support_xft=yes
4182support_unicode3=no 4344support_unicode3=no
4183support_combining=yes 4345support_combining=yes
4184support_8bitctrls=no 4346support_8bitctrls=no
4185support_iso14755=yes 4347support_iso14755=yes
4186support_styles=yes 4348support_styles=yes
4349support_perl=yes
4187codesets=all 4350codesets=all
4188 4351
4189 4352
4190if test "x$enable_shared" = xyes; then 4353if test "x$enable_shared" = xyes; then
4191 4354
4227 support_unicode3=no 4390 support_unicode3=no
4228 support_combining=no 4391 support_combining=no
4229 support_8bitctrls=no 4392 support_8bitctrls=no
4230 support_iso14755=no 4393 support_iso14755=no
4231 support_styles=no 4394 support_styles=no
4395 support_perl=no
4232 codesets= 4396 codesets=
4233 fi 4397 fi
4234 if test x$enableval = xyes; then 4398 if test x$enableval = xyes; then
4235 support_24bit=yes 4399 support_24bit=yes
4236 support_frills=yes 4400 support_frills=yes
4257 support_unicode3=yes 4421 support_unicode3=yes
4258 support_combining=yes 4422 support_combining=yes
4259 #support_8bitctrls=yes 4423 #support_8bitctrls=yes
4260 support_iso14755=yes 4424 support_iso14755=yes
4261 support_styles=yes 4425 support_styles=yes
4426 support_perl=yes
4262 codesets=all 4427 codesets=all
4263 fi 4428 fi
4264 4429
4265fi; 4430fi;
4266 4431
4382 if test x$enableval = xyes -o x$enableval = xno; then 4547 if test x$enableval = xyes -o x$enableval = xno; then
4383 support_scroll_xterm=$enableval 4548 support_scroll_xterm=$enableval
4384 fi 4549 fi
4385fi; 4550fi;
4386 4551
4552# Check whether --enable-perl or --disable-perl was given.
4553if test "${enable_perl+set}" = set; then
4554 enableval="$enable_perl"
4555 if test x$enableval = xyes -o x$enableval = xno; then
4556 support_perl=$enableval
4557 fi
4558fi;
4559
4387# Check whether --enable-plain-scroll or --disable-plain-scroll was given. 4560# Check whether --enable-plain-scroll or --disable-plain-scroll was given.
4388if test "${enable_plain_scroll+set}" = set; then 4561if test "${enable_plain_scroll+set}" = set; then
4389 enableval="$enable_plain_scroll" 4562 enableval="$enable_plain_scroll"
4390 if test x$enableval = xyes -o x$enableval = xno; then 4563 if test x$enableval = xyes -o x$enableval = xno; then
4391 support_scroll_plain=$enableval 4564 support_scroll_plain=$enableval
4460 enableval="$enable_resources" 4633 enableval="$enable_resources"
4461 if test x$enableval = xno; then 4634 if test x$enableval = xno; then
4462 4635
4463cat >>confdefs.h <<\_ACEOF 4636cat >>confdefs.h <<\_ACEOF
4464#define NO_RESOURCES 1 4637#define NO_RESOURCES 1
4465_ACEOF
4466
4467 fi
4468fi;
4469
4470# Check whether --enable-xgetdefault or --disable-xgetdefault was given.
4471if test "${enable_xgetdefault+set}" = set; then
4472 enableval="$enable_xgetdefault"
4473 if test x$enableval = xyes; then
4474
4475cat >>confdefs.h <<\_ACEOF
4476#define USE_XGETDEFAULT 1
4477_ACEOF 4638_ACEOF
4478 4639
4479 fi 4640 fi
4480fi; 4641fi;
4481 4642
7134 7295
7135 7296
7136 7297
7137 7298
7138 7299
7300
7301
7139for ac_header in \ 7302for ac_header in \
7140 assert.h \ 7303 assert.h \
7141 fcntl.h \ 7304 fcntl.h \
7142 grp.h \ 7305 grp.h \
7143 libc.h \ 7306 libc.h \
7156 sys/time.h \ 7319 sys/time.h \
7157 utmp.h \ 7320 utmp.h \
7158 utmpx.h \ 7321 utmpx.h \
7159 stdint.h \ 7322 stdint.h \
7160 pty.h \ 7323 pty.h \
7324 util.h \
7325 libutil.h \
7161 wchar.h \ 7326 wchar.h \
7162 cwchar \ 7327 cwchar \
7163 clocale \ 7328 clocale \
7164 7329
7165do 7330do
12011 12176
12012fi 12177fi
12013 12178
12014if test x$support_xft = xyes; then 12179if test x$support_xft = xyes; then
12015 LIBS="$LIBS `pkg-config xft --libs`" 12180 LIBS="$LIBS `pkg-config xft --libs`"
12016 CFLAGS="$CFLAGS `pkg-config xft --cflags`"
12017 CPPFLAGS="$CPPFLAGS `pkg-config xft --cflags`" 12181 CPPFLAGS="$CPPFLAGS `pkg-config xft --cflags`"
12018 12182
12019 12183
12020for ac_header in X11/Xft/Xft.h 12184for ac_header in X11/Xft/Xft.h
12021do 12185do
12479#define ENCODING_ZH_EXT 1 12643#define ENCODING_ZH_EXT 1
12480_ACEOF 12644_ACEOF
12481 ;; 12645 ;;
12482 esac 12646 esac
12483done 12647done
12648
12649IF_PERL=\#
12650if test x$support_perl = xyes; then
12651 # Extract the first word of "perl5", so it can be a program name with args.
12652set dummy perl5; ac_word=$2
12653echo "$as_me:$LINENO: checking for $ac_word" >&5
12654echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
12655if test "${ac_cv_path_PERL+set}" = set; then
12656 echo $ECHO_N "(cached) $ECHO_C" >&6
12657else
12658 case $PERL in
12659 [\\/]* | ?:[\\/]*)
12660 ac_cv_path_PERL="$PERL" # Let the user override the test with a path.
12661 ;;
12662 *)
12663 as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
12664for as_dir in $PATH
12665do
12666 IFS=$as_save_IFS
12667 test -z "$as_dir" && as_dir=.
12668 for ac_exec_ext in '' $ac_executable_extensions; do
12669 if $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
12670 ac_cv_path_PERL="$as_dir/$ac_word$ac_exec_ext"
12671 echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
12672 break 2
12673 fi
12674done
12675done
12676
12677 ;;
12678esac
12679fi
12680PERL=$ac_cv_path_PERL
12681
12682if test -n "$PERL"; then
12683 echo "$as_me:$LINENO: result: $PERL" >&5
12684echo "${ECHO_T}$PERL" >&6
12685else
12686 echo "$as_me:$LINENO: result: no" >&5
12687echo "${ECHO_T}no" >&6
12688fi
12689
12690 # Extract the first word of "perl", so it can be a program name with args.
12691set dummy perl; ac_word=$2
12692echo "$as_me:$LINENO: checking for $ac_word" >&5
12693echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
12694if test "${ac_cv_path_PERL+set}" = set; then
12695 echo $ECHO_N "(cached) $ECHO_C" >&6
12696else
12697 case $PERL in
12698 [\\/]* | ?:[\\/]*)
12699 ac_cv_path_PERL="$PERL" # Let the user override the test with a path.
12700 ;;
12701 *)
12702 as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
12703for as_dir in $PATH
12704do
12705 IFS=$as_save_IFS
12706 test -z "$as_dir" && as_dir=.
12707 for ac_exec_ext in '' $ac_executable_extensions; do
12708 if $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
12709 ac_cv_path_PERL="$as_dir/$ac_word$ac_exec_ext"
12710 echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
12711 break 2
12712 fi
12713done
12714done
12715
12716 ;;
12717esac
12718fi
12719PERL=$ac_cv_path_PERL
12720
12721if test -n "$PERL"; then
12722 echo "$as_me:$LINENO: result: $PERL" >&5
12723echo "${ECHO_T}$PERL" >&6
12724else
12725 echo "$as_me:$LINENO: result: no" >&5
12726echo "${ECHO_T}no" >&6
12727fi
12728
12729
12730 echo "$as_me:$LINENO: checking for $PERL suitability" >&5
12731echo $ECHO_N "checking for $PERL suitability... $ECHO_C" >&6
12732 if $PERL -MExtUtils::Embed -e "use v5.8" >/dev/null 2>/dev/null; then
12733
12734 save_CXXFLAGS="$CXXFLAGS"
12735 save_LIBS="$LIBS"
12736 CXXFLAGS="$CXXFLAGS `$PERL -MExtUtils::Embed -e ccopts`"
12737 LIBS="$LIBS `$PERL -MExtUtils::Embed -e ldopts`"
12738 cat >conftest.$ac_ext <<_ACEOF
12739/* confdefs.h. */
12740_ACEOF
12741cat confdefs.h >>conftest.$ac_ext
12742cat >>conftest.$ac_ext <<_ACEOF
12743/* end confdefs.h. */
12744
12745#include <EXTERN.h>
12746#include <perl.h>
12747#include <XSUB.h>
12748
12749int
12750main ()
12751{
12752
12753 PerlInterpreter *perl = perl_alloc ();
12754
12755 ;
12756 return 0;
12757}
12758_ACEOF
12759rm -f conftest.$ac_objext conftest$ac_exeext
12760if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
12761 (eval $ac_link) 2>conftest.er1
12762 ac_status=$?
12763 grep -v '^ *+' conftest.er1 >conftest.err
12764 rm -f conftest.er1
12765 cat conftest.err >&5
12766 echo "$as_me:$LINENO: \$? = $ac_status" >&5
12767 (exit $ac_status); } &&
12768 { ac_try='test -z "$ac_cxx_werror_flag" || test ! -s conftest.err'
12769 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
12770 (eval $ac_try) 2>&5
12771 ac_status=$?
12772 echo "$as_me:$LINENO: \$? = $ac_status" >&5
12773 (exit $ac_status); }; } &&
12774 { ac_try='test -s conftest$ac_exeext'
12775 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
12776 (eval $ac_try) 2>&5
12777 ac_status=$?
12778 echo "$as_me:$LINENO: \$? = $ac_status" >&5
12779 (exit $ac_status); }; }; then
12780 rxvt_perl_link=yes
12781else
12782 echo "$as_me: failed program was:" >&5
12783sed 's/^/| /' conftest.$ac_ext >&5
12784
12785rxvt_perl_link=no
12786fi
12787rm -f conftest.err conftest.$ac_objext \
12788 conftest$ac_exeext conftest.$ac_ext
12789 CXXFLAGS="$save_CXXFLAGS"
12790 LIBS="$save_LIBS"
12791
12792 if test x$rxvt_perl_link = xyes; then
12793 echo "$as_me:$LINENO: result: ok" >&5
12794echo "${ECHO_T}ok" >&6
12795
12796cat >>confdefs.h <<\_ACEOF
12797#define ENABLE_PERL 1
12798_ACEOF
12799
12800 IF_PERL=
12801 PERL_O=rxvtperl.o
12802 PERLFLAGS="`$PERL -MExtUtils::Embed -e ccopts`"
12803 PERLLIB="`$PERL -MExtUtils::Embed -e ldopts`"
12804 PERLPRIVLIBEXP="`$PERL -MConfig -e 'print $Config{privlibexp}'`"
12805 else
12806 support_perl=no
12807 echo "$as_me:$LINENO: result: no, unable to link" >&5
12808echo "${ECHO_T}no, unable to link" >&6
12809 fi
12810 else
12811 { { echo "$as_me:$LINENO: error: no working perl found" >&5
12812echo "$as_me: error: no working perl found" >&2;}
12813 { (exit or perl not version >= 5.8); exit or perl not version >= 5.8; }; }
12814 support_perl=no
12815 fi
12816fi
12817
12818
12819
12820
12821
12822
12823
12824if text x$support_perl = xyes; then
12825 support_frills=yes
12826fi
12484 12827
12485 12828
12486CFLAGS=${CFLAGS--O} 12829CFLAGS=${CFLAGS--O}
12487LDFLAGS=${LDFLAGS--O} 12830LDFLAGS=${LDFLAGS--O}
12488 12831
13269s,@rxvt_uint16_typedef@,$rxvt_uint16_typedef,;t t 13612s,@rxvt_uint16_typedef@,$rxvt_uint16_typedef,;t t
13270s,@rxvt_int32_typedef@,$rxvt_int32_typedef,;t t 13613s,@rxvt_int32_typedef@,$rxvt_int32_typedef,;t t
13271s,@rxvt_uint32_typedef@,$rxvt_uint32_typedef,;t t 13614s,@rxvt_uint32_typedef@,$rxvt_uint32_typedef,;t t
13272s,@rxvt_intp_define@,$rxvt_intp_define,;t t 13615s,@rxvt_intp_define@,$rxvt_intp_define,;t t
13273s,@rxvt_u_intp_define@,$rxvt_u_intp_define,;t t 13616s,@rxvt_u_intp_define@,$rxvt_u_intp_define,;t t
13617s,@PERL@,$PERL,;t t
13618s,@PERLLIB@,$PERLLIB,;t t
13619s,@PERLFLAGS@,$PERLFLAGS,;t t
13620s,@PERLPRIVLIBEXP@,$PERLPRIVLIBEXP,;t t
13621s,@IF_PERL@,$IF_PERL,;t t
13622s,@PERL_O@,$PERL_O,;t t
13274s,@DEBUG@,$DEBUG,;t t 13623s,@DEBUG@,$DEBUG,;t t
13275s,@DINCLUDE@,$DINCLUDE,;t t 13624s,@DINCLUDE@,$DINCLUDE,;t t
13276s,@DLIB@,$DLIB,;t t 13625s,@DLIB@,$DLIB,;t t
13277s,@include_stdint_h@,$include_stdint_h,;t t 13626s,@include_stdint_h@,$include_stdint_h,;t t
13278s,@include_stdarg_h@,$include_stdarg_h,;t t 13627s,@include_stdarg_h@,$include_stdarg_h,;t t
13819 utmp file: $rxvt_cv_path_utmp 14168 utmp file: $rxvt_cv_path_utmp
13820 utmpx file: $rxvt_cv_path_utmpx 14169 utmpx file: $rxvt_cv_path_utmpx
13821 wtmp file: $rxvt_cv_path_wtmp 14170 wtmp file: $rxvt_cv_path_wtmp
13822 wtmpx file: $rxvt_cv_path_wtmpx 14171 wtmpx file: $rxvt_cv_path_wtmpx
13823 lastlog file: $rxvt_cv_path_lastlog 14172 lastlog file: $rxvt_cv_path_lastlog
13824 ttys/ttytab file: $rxvt_cv_path_ttytab" 14173 ttys/ttytab file: $rxvt_cv_path_ttytab
14174 embedded perl: $support_perl"
13825 echo 14175 echo
13826fi 14176fi
13827if test x$term != x; then 14177if test x$term != x; then
13828 echo " set TERM to: $term" 14178 echo " set TERM to: $term"
13829fi 14179fi

Diff Legend

Removed lines
+ Added lines
< Changed lines
> Changed lines